Daniel Tartavel 3 years ago
parent
commit
17cb092b9a

+ 6 - 5
create_arm_img_urpmi.sh

@@ -39,7 +39,8 @@ function error()
 SOURCE_PATH="$(/bin/dirname  "$(readlink -f "$0")")"
 INSTALL_PATH="$SOURCE_PATH/arm"
 FILES_PATH="$SOURCE_PATH/files"
-CMDNAME=$(/bin/basename -z "$0")
+info $0
+CMDNAME=$(/bin/basename "$0")
 
 #while read -r;do
 #	for MAGEIA_VERSION in $REPLY
@@ -71,7 +72,7 @@ function help()
 	echo "--target 				target system (for now rpi, odroid)"
 	echo "--target-version      version of the target (0, 1, 2, 3 for rpi, 3 or 4 for odroid)"
 	echo "--config				Path to config files"
-	echo "--bootfs              filesystem of boot partition (ext4 or vfat) default: etx4"
+	echo "--bootfs              filesystem of boot partition (ext4 or vfat) default: ext4"
 	echo -e "\nFor image size, make sure it fit on physical support. (Default size is 7 Go)"
 }
 
@@ -86,7 +87,7 @@ function clean()
 		umount "$BUILD_PATH/dev"
 		if ! [ $? -ne 0 ];then
 			error "line $LINENO can't unmount $BUILD_PATH/dev : exiting"
-			exit 1
+			#exit 1
 		fi
 	fi
 	if ! [ -z "$(mountpoint -qd "$BUILD_PATH/sys")" ];then
@@ -94,7 +95,7 @@ function clean()
 		umount "$BUILD_PATH/sys"
 		if ! [ $? -ne 0 ];then
 			error "line $LINENO can't unmount $BUILD_PATH/sys : exiting"
-			exit 1
+			#exit 1
 		fi
 	fi
 	if ! [ -z "$(mountpoint -qd "$BUILD_PATH/proc")" ];then
@@ -102,7 +103,7 @@ function clean()
 		umount "$BUILD_PATH/proc"
 		if ! [ $? -ne 0 ];then
 			error "line $LINENO can't unmount $BUILD_PATH/proc : exiting"
-			exit 1
+			#exit 1
 		fi
 	fi
 	# Removing old Build directory

+ 23 - 0
init.d/mandrake_firstime

@@ -0,0 +1,23 @@
+#!/bin/sh
+# Description: Launch Mageia Configuration for the first time.
+# (c) Mandriva, Chmouel Boudjnah <chmouel@mandriva.com>
+# 	$Id$	
+
+FLO=/var/log/first_boot_log
+touch $FLO
+
+. /etc/rc.d/init.d/functions
+
+# If fail erase the temporary file
+trap 'rm -f /var/lock/TMP_1ST' 1 2 3 15
+
+SYSTEM=
+
+
+
+
+
+[ -s $FLO ] || rm -f $FLO
+
+# Finish
+rm -f /var/lock/TMP_1ST

+ 6 - 4
rpi/mageia4arm.cfg

@@ -19,7 +19,7 @@ MAGEIA_VERSION="7"
 ARM_VERSION="armv7hl"
 
 #target plateform (xu3-4 or rpi)
-TARGET="rpi" 
+TARGET="rpi"
 #version of the target
 # 0, 1, 2 ,3_32 for rpi and 3 or 4 for odroid
 TARGET_VERSION="3_32"
@@ -29,7 +29,7 @@ MIRROR="http://ftp.free.fr/mirrors/mageia.org/distrib/$MAGEIA_VERSION/$ARM_VERSI
 #MIRROR="/mnt/STOCK/mageia/distrib/$MAGEIA_VERSION/$ARM_VERSION"
 # image will be created here
 
-INSTALL_PATH="/mnt/perso/raspi-test"    
+INSTALL_PATH="/mnt/perso/raspi-test"
 
 # Build directory will be created here
 BUILD_PATH="$INSTALL_PATH/build"
@@ -48,8 +48,8 @@ PASSWORD="raspberry"
 #root password
 ROOT_PWD="piroot"
 
-#Hostname 
-HOSTNAME="$TARGET.$ID_USER" 
+#Hostname
+HOSTNAME="$TARGET.$ID_USER"
 
 #Filesystem of boot partitions (default ext4 raspberry pi need vfat)
 BOOTFS="vfat"
@@ -57,3 +57,5 @@ BOOTFS="vfat"
 #Path where the raspberry pi firmware is/will be installed
 FIRMWARE_PATH="$INSTALL_PATH"
 FIRMWARE_DIR="firmware-stable"
+FIRMWARE_DOWNLOAD_URL="https://github.com/raspberrypi/firmware/archive/stable.zip"
+

+ 3 - 0
rpi2/10-monitor.conf

@@ -0,0 +1,3 @@
+Section "Extensions"
+    Option      "DPMS" "Disable"
+EndSection

+ 1 - 0
rpi2/10-vchiq-permissions.rules

@@ -0,0 +1 @@
+SUBSYSTEM=="vchiq",GROUP="video",MODE="0660"

BIN
rpi2/bcm2836-rpi-2-b.dtb


BIN
rpi2/bcm2837-rpi-3-b-plus.dtb


BIN
rpi2/bcm2837-rpi-3-b.dtb


+ 5 - 0
rpi2/boot.cmd

@@ -0,0 +1,5 @@
+fatload mmc 0:1 ${kernel_addr_r} vmlinuz
+fatload mmc 0:1 ${fdt_addr} bcm2837-rpi-3-b.dtb
+fatload mmc 0:1 ${ramdisk_addr_r} initrd.img
+setenv bootargs console=ttyAMA0,115200 earlyprintk root=/dev/mmcblk0p2 rootwait panic=10
+bootz ${kernel_addr_r} ${ramdisk_addr_r} ${fdt_addr}

+ 66 - 0
rpi2/brcmfmac43430-sdio.txt

@@ -0,0 +1,66 @@
+# NVRAM file for BCM943430WLPTH
+# 2.4 GHz, 20 MHz BW mode
+
+# The following parameter values are just placeholders, need to be updated.
+manfid=0x2d0
+prodid=0x0727
+vendid=0x14e4
+devid=0x43e2
+boardtype=0x0727
+boardrev=0x1101
+boardnum=22
+macaddr=00:90:4c:c5:12:38
+sromrev=11
+boardflags=0x00404201
+boardflags3=0x08000000
+xtalfreq=37400
+nocrc=1
+ag0=255
+aa2g=1
+ccode=ALL
+
+pa0itssit=0x20
+extpagain2g=0
+#PA parameters for 2.4GHz, measured at CHIP OUTPUT
+pa2ga0=-168,7161,-820
+AvVmid_c0=0x0,0xc8
+cckpwroffset0=5
+
+# PPR params
+maxp2ga0=84
+txpwrbckof=6
+cckbw202gpo=0
+legofdmbw202gpo=0x66111111
+mcsbw202gpo=0x77711111
+propbw202gpo=0xdd
+
+# OFDM IIR :
+ofdmdigfilttype=18
+ofdmdigfilttypebe=18
+# PAPD mode:
+papdmode=1
+papdvalidtest=1
+pacalidx2g=42
+papdepsoffset=-22
+papdendidx=58
+
+# LTECX flags
+ltecxmux=0
+ltecxpadnum=0x0102
+ltecxfnsel=0x44
+ltecxgcigpio=0x01
+
+il0macaddr=00:90:4c:c5:12:38
+wl0id=0x431b
+
+deadman_to=0xffffffff
+# muxenab: 0x1 for UART enable, 0x2 for GPIOs, 0x8 for JTAG
+muxenab=0x1
+# CLDO PWM voltage settings - 0x4 - 1.1 volt
+#cldo_pwm=0x4
+
+#VCO freq 326.4MHz
+spurconfig=0x3 
+
+edonthd20l=-75
+edoffthd20ul=-80

BIN
rpi2/brcmfmac43455-sdio.clm_blob


+ 92 - 0
rpi2/brcmfmac43455-sdio.txt

@@ -0,0 +1,92 @@
+# Cloned from bcm94345wlpagb_p2xx.txt 
+NVRAMRev=$Rev: 498373 $
+sromrev=11
+vendid=0x14e4
+devid=0x43ab
+manfid=0x2d0
+prodid=0x06e4
+#macaddr=00:90:4c:c5:12:38
+macaddr=b8:27:eb:74:f2:6c
+nocrc=1
+boardtype=0x6e4
+boardrev=0x1304
+
+#XTAL 37.4MHz
+xtalfreq=37400
+
+btc_mode=1
+#------------------------------------------------------
+#boardflags: 5GHz eTR switch by default
+#            2.4GHz eTR switch by default
+#            bit1 for btcoex
+boardflags=0x00480201
+boardflags2=0x40800000
+boardflags3=0x48200100
+phycal_tempdelta=15
+rxchain=1
+txchain=1
+aa2g=1
+aa5g=1
+tssipos5g=1
+tssipos2g=1
+femctrl=0
+AvVmid_c0=1,165,2,100,2,100,2,100,2,100
+pa2ga0=-129,6525,-718
+pa2ga1=-149,4408,-601
+pa5ga0=-185,6836,-815,-186,6838,-815,-184,6859,-815,-184,6882,-818
+pa5ga1=-202,4285,-574,-201,4312,-578,-196,4391,-586,-201,4294,-575
+itrsw=1
+pdoffsetcckma0=2
+pdoffset2gperchan=0,-2,1,0,1,0,1,1,1,0,0,-1,-1,0
+pdoffset2g40ma0=16
+pdoffset40ma0=0x8888
+pdoffset80ma0=0x8888
+extpagain5g=2
+extpagain2g=2
+tworangetssi2g=1
+tworangetssi5g=1
+# LTECX flags
+# WCI2
+ltecxmux=0
+ltecxpadnum=0x0504
+ltecxfnsel=0x22
+ltecxgcigpio=0x32
+
+maxp2ga0=80
+ofdmlrbw202gpo=0x0022
+dot11agofdmhrbw202gpo=0x4442
+mcsbw202gpo=0x98444422
+mcsbw402gpo=0x98444422
+maxp5ga0=82,82,82,82
+mcsbw205glpo=0xb9555000
+mcsbw205gmpo=0xb9555000
+mcsbw205ghpo=0xb9555000
+mcsbw405glpo=0xb9555000
+mcsbw405gmpo=0xb9555000
+mcsbw405ghpo=0xb9555000
+mcsbw805glpo=0xb9555000
+mcsbw805gmpo=0xb9555000
+mcsbw805ghpo=0xb9555000
+
+swctrlmap_2g=0x00000000,0x00000000,0x00000000,0x010000,0x3ff
+swctrlmap_5g=0x00100010,0x00200020,0x00200020,0x010000,0x3fe
+swctrlmapext_5g=0x00000000,0x00000000,0x00000000,0x000000,0x3
+swctrlmapext_2g=0x00000000,0x00000000,0x00000000,0x000000,0x3
+
+vcodivmode=1
+deadman_to=481500000
+
+ed_thresh2g=-54
+ed_thresh5g=-54
+eu_edthresh2g=-54
+eu_edthresh5g=-54
+ldo1=4
+rawtempsense=0x1ff
+cckPwrIdxCorr=3
+cckTssiDelay=150
+ofdmTssiDelay=150
+txpwr2gAdcScale=1
+txpwr5gAdcScale=1
+dot11b_opts=0x3aa85
+cbfilttype=1
+fdsslevel_ch11=6

+ 1193 - 0
rpi2/config.txt

@@ -0,0 +1,1193 @@
+################################################################################
+##  Raspberry Pi Configuration Settings
+##
+##  Revision 16, 2013/06/22
+##
+##  Details taken from the eLinux wiki
+##  For up-to-date information please refer to wiki page.
+##
+##  Wiki Location : http://elinux.org/RPiconfig
+##
+##
+##  Description:
+##    Details of each setting are described with each section that begins with
+##    a double hashed comment ('##')
+##    It is up to the user to remove the single hashed comment ('#') from each
+##    option they want to enable, and to set the specific value of that option.
+##
+##  Overclock settings will be disabled at runtime if the SoC reaches temp_limit
+##
+################################################################################
+
+#dtoverlay=vc4-kms-v3d,cma-128
+
+
+
+
+
+################################################################################
+##  Standard Definition Video Settings
+################################################################################
+
+## sdtv_mode
+##     defines the TV standard for composite output
+##
+##     Value    Description
+##     -------------------------------------------------------------------------
+##     0        Normal NTSC (Default)
+##     1        Japanese version of NTSC - no pedestal
+##     2        Normal PAL
+##     3        Brazilian version of PAL - 525/60 rather than 625/50, different
+##              subcarrier
+##
+#sdtv_mode=0
+
+## sdtv_aspect
+##     defines the aspect ratio for composite output
+##
+##     Value    Description
+##     -------------------------------------------------------------------------
+##     1        4:3 (Default)
+##     2        14:9
+##     3        16:9
+##
+sdtv_aspect=3
+
+## sdtv_disable_colourburst
+##     Disables colour burst on composite output. The picture will be
+##     monochrome, but possibly sharper
+##
+##     Value    Description
+##     -------------------------------------------------------------------------
+##     0        Colour burst is enabled (Default)
+##     1        Colour burst is disabled
+##
+#sdtv_disable_colourburst=1
+
+################################################################################
+##  High Definition Video Settings
+################################################################################
+
+## hdmi_safe
+##     Use "safe mode" settings to try to boot with maximum hdmi compatibility.
+##
+##     Value    Description
+##     -------------------------------------------------------------------------
+##     0        Disabled (Default)
+##     1        Enabled (this does: hdmi_force_hotplug=1,
+##                                  hdmi_ignore_edid=0xa5000080,
+##                                  config_hdmi_boost=4, hdmi_group=2,
+##                                  hdmi_mode=4, disable_overscan=0,
+##                                  overscan_left=24, overscan_right=24,
+##                                  overscan_top=24, overscan_bottom=24)
+##
+#hdmi_safe=1
+
+## hdmi_force_hotplug
+##     Pretends HDMI hotplug signal is asserted so it appears a HDMI display
+##     is attached
+##
+##     Value    Description
+##     -------------------------------------------------------------------------
+##     0        Disabled (Default)
+##     1        Use HDMI mode even if no HDMI monitor is detected
+##
+#hdmi_force_hotplug=1
+
+## hdmi_ignore_hotplug
+##     Pretends HDMI hotplug signal is not asserted so it appears a HDMI
+##     display is not attached
+##
+##     Value    Description
+##     -------------------------------------------------------------------------
+##     0        Disabled (Default)
+##     1        Use composite mode even if HDMI monitor is detected
+##
+#hdmi_ignore_hotplug=1
+
+## hdmi_drive
+##     chooses between HDMI and DVI modes
+##
+##     Value    Description
+##     -------------------------------------------------------------------------
+##     1        Normal DVI mode (No sound)
+##     2        Normal HDMI mode (Sound will be sent if supported and enabled)
+##
+#hdmi_drive=2
+
+## hdmi_ignore_edid
+##     Enables the ignoring of EDID/display data
+##
+#hdmi_ignore_edid=0xa5000080
+
+## hdmi_edid_file
+##     Read the EDID data from the edid.dat file instead of from the attached
+##     device
+##
+##     Value    Description
+##     -------------------------------------------------------------------------
+##     0        Read EDID data from attached device (Default)
+##     1        Read EDID data from edid.txt file
+##
+#hdmi_edid_file=1
+
+## hdmi_ignore_edid_audio
+##     Pretends all audio formats are unsupported by display. This means ALSA
+##     will default to analogue.
+##
+##     Value    Description
+##     -------------------------------------------------------------------------
+##     0        Use EDID provided values (Default)
+##     1        Pretend all audio formats are unsupported
+##
+#hdmi_ignore_edid_audio=1
+
+## hdmi_force_edid_audio
+##     Pretends all audio formats are supported by display, allowing
+##     passthrough of DTS/AC3 even when not reported as supported.
+##
+##     Value    Description
+##     -------------------------------------------------------------------------
+##     0        Use EDID provided values (Default)
+##     1        Pretend all audio formats are supported
+##
+#hdmi_force_edid_audio=1
+
+## hdmi_force_edid_3d
+##     Pretends all CEA modes support 3D even when edid doesn't indicate
+##     support for them.
+##
+##     Value    Description
+##     -------------------------------------------------------------------------
+##     0        Use EDID provided values (Default)
+##     1        Pretend 3D mode is supported
+##
+#hdmi_force_edid_3d=1
+
+## avoid_edid_fuzzy_match
+##     Avoid fuzzy matching of modes described in edid.
+##
+##     Value    Description
+##     -------------------------------------------------------------------------
+##     0        Use fuzzy matching (Default)
+##     1        Avoid fuzzy matching
+##
+#avoid_edid_fuzzy_match=1
+
+## hdmi_pixel_encoding
+##     Force the pixel encoding mode.
+##     By default it will use the mode requested from edid so shouldn't
+##     need changing.
+##
+##     Value    Description
+##     -------------------------------------------------------------------------
+##     0        Use EDID provided values (Default)
+##     1        RGB limited   (16-235)
+##     2        RGB full      ( 0-255)
+##     3        YCbCr limited (16-235)
+##     4        YCbCr limited ( 0-255)
+##
+#hdmi_pixel_encoding=1
+
+## hdmi_group
+##     Defines the HDMI type
+##
+##     Value    Description
+##     -------------------------------------------------------------------------
+##     0        Use the preferred group reported by the edid (Default)
+##     1        CEA
+##     2        DMT
+##
+#hdmi_group=1
+
+## hdmi_mode
+##     defines screen resolution in CEA or DMT format
+##
+##     H means 16:9 variant (of a normally 4:3 mode).
+##     2x means pixel doubled (i.e. higher clock rate, with each pixel repeated
+##                                  twice)
+##     4x means pixel quadrupled (i.e. higher clock rate, with each pixel
+##                                     repeated four times)
+##     reduced blanking means fewer bytes are used for blanking within the data
+##                      stream (i.e. lower clock rate, with fewer wasted bytes)
+##
+##     Value    hdmi_group=CEA                  hdmi_group=DMT
+##     -------------------------------------------------------------------------
+##     1        VGA                             640x350   85Hz
+##     2        480p  60Hz                      640x400   85Hz
+##     3        480p  60Hz  H                   720x400   85Hz
+##     4        720p  60Hz                      640x480   60Hz
+##     5        1080i 60Hz                      640x480   72Hz
+##     6        480i  60Hz                      640x480   75Hz
+##     7        480i  60Hz  H                   640x480   85Hz
+##     8        240p  60Hz                      800x600   56Hz
+##     9        240p  60Hz  H                   800x600   60Hz
+##     10       480i  60Hz  4x                  800x600   72Hz
+##     11       480i  60Hz  4x H                800x600   75Hz
+##     12       240p  60Hz  4x                  800x600   85Hz
+##     13       240p  60Hz  4x H                800x600   120Hz
+##     14       480p  60Hz  2x                  848x480   60Hz
+##     15       480p  60Hz  2x H                1024x768  43Hz  DO NOT USE
+##     16       1080p 60Hz                      1024x768  60Hz
+##     17       576p  50Hz                      1024x768  70Hz
+##     18       576p  50Hz  H                   1024x768  75Hz
+##     19       720p  50Hz                      1024x768  85Hz
+##     20       1080i 50Hz                      1024x768  120Hz
+##     21       576i  50Hz                      1152x864  75Hz
+##     22       576i  50Hz  H                   1280x768        reduced blanking
+##     23       288p  50Hz                      1280x768  60Hz
+##     24       288p  50Hz  H                   1280x768  75Hz
+##     25       576i  50Hz  4x                  1280x768  85Hz
+##     26       576i  50Hz  4x H                1280x768  120Hz reduced blanking
+##     27       288p  50Hz  4x                  1280x800        reduced blanking
+##     28       288p  50Hz  4x H                1280x800  60Hz
+##     29       576p  50Hz  2x                  1280x800  75Hz
+##     30       576p  50Hz  2x H                1280x800  85Hz
+##     31       1080p 50Hz                      1280x800  120Hz reduced blanking
+##     32       1080p 24Hz                      1280x960  60Hz
+##     33       1080p 25Hz                      1280x960  85Hz
+##     34       1080p 30Hz                      1280x960  120Hz reduced blanking
+##     35       480p  60Hz  4x                  1280x1024 60Hz
+##     36       480p  60Hz  4x H                1280x1024 75Hz
+##     37       576p  50Hz  4x                  1280x1024 85Hz
+##     38       576p  50Hz  4x H                1280x1024 120Hz reduced blanking
+##     39       1080i 50Hz  reduced blanking    1360x768  60Hz
+##     40       1080i 100Hz                     1360x768  120Hz reduced blanking
+##     41       720p  100Hz                     1400x1050       reduced blanking
+##     42       576p  100Hz                     1400x1050 60Hz
+##     43       576p  100Hz H                   1400x1050 75Hz
+##     44       576i  100Hz                     1400x1050 85Hz
+##     45       576i  100Hz H                   1400x1050 120Hz reduced blanking
+##     46       1080i 120Hz                     1440x900        reduced blanking
+##     47       720p  120Hz                     1440x900  60Hz
+##     48       480p  120Hz                     1440x900  75Hz
+##     49       480p  120Hz H                   1440x900  85Hz
+##     50       480i  120Hz                     1440x900  120Hz reduced blanking
+##     51       480i  120Hz H                   1600x1200 60Hz
+##     52       576p  200Hz                     1600x1200 65Hz
+##     53       576p  200Hz H                   1600x1200 70Hz
+##     54       576i  200Hz                     1600x1200 75Hz
+##     55       576i  200Hz H                   1600x1200 85Hz
+##     56       480p  240Hz                     1600x1200 120Hz reduced blanking
+##     57       480p  240Hz H                   1680x1050       reduced blanking
+##     58       480i  240Hz                     1680x1050 60Hz
+##     59       480i  240Hz H                   1680x1050 75Hz
+##     60                                       1680x1050 85Hz
+##     61                                       1680x1050 120Hz reduced blanking
+##     62                                       1792x1344 60Hz
+##     63                                       1792x1344 75Hz
+##     64                                       1792x1344 120Hz reduced blanking
+##     65                                       1856x1392 60Hz
+##     66                                       1856x1392 75Hz
+##     67                                       1856x1392 120Hz reduced blanking
+##     68                                       1920x1200       reduced blanking
+##     69                                       1920x1200 60Hz
+##     70                                       1920x1200 75Hz
+##     71                                       1920x1200 85Hz
+##     72                                       1920x1200 120Hz reduced blanking
+##     73                                       1920x1440 60Hz
+##     74                                       1920x1440 75Hz
+##     75                                       1920x1440 120Hz reduced blanking
+##     76                                       2560x1600       reduced blanking
+##     77                                       2560x1600 60Hz
+##     78                                       2560x1600 75Hz
+##     79                                       2560x1600 85Hz
+##     80                                       2560x1600 120Hz reduced blanking
+##     81                                       1366x768  60Hz
+##     82                                       1080p     60Hz
+##     83                                       1600x900        reduced blanking
+##     84                                       2048x1152       reduced blanking
+##     85                                       720p      60Hz
+##     86                                       1366x768        reduced blanking
+##
+#hdmi_mode=1
+
+## config_hdmi_boost
+##     configure the signal strength of the HDMI interface.
+##
+##     Value    Description
+##     -------------------------------------------------------------------------
+##     0        (Default)
+##     1
+##     2
+##     3
+##     4        Try if you have interference issues with HDMI
+##     5
+##     6
+##     7        Maximum
+##
+#config_hdmi_boost=0
+
+## hdmi_ignore_cec_init
+##     Doesn't sent initial active source message.  Avoids bringing
+##     (CEC enabled) TV out of standby and channel switch when rebooting.
+##
+##     Value    Description
+##     -------------------------------------------------------------------------
+##     0        Normal behaviour (Default)
+##     1        Doesn't sent initial active source message
+##
+#hdmi_ignore_cec_init=1
+
+## hdmi_ignore_cec
+##     Pretends CEC is not supported at all by TV.
+##     No CEC functions will be supported.
+##
+##     Value    Description
+##     -------------------------------------------------------------------------
+##     0        Normal behaviour (Default)
+##     1        Pretend CEC is not supported by TV
+##
+#hdmi_ignore_cec=1
+
+################################################################################
+##  Overscan Video Settings
+################################################################################
+
+## overscan_left
+##     Number of pixels to skip on left
+##
+#overscan_left=0
+
+## overscan_right
+##     Number of pixels to skip on right
+##
+#overscan_right=0
+
+## overscan_top
+##     Number of pixels to skip on top
+##
+#overscan_top=0
+
+## overscan_bottom
+##     Number of pixels to skip on bottom
+##
+#overscan_bottom=0
+
+## disable_overscan
+##     Set to 1 to disable overscan
+##
+##     Value    Description
+##     -------------------------------------------------------------------------
+##     0        Overscan Enabled (Default)
+##     1        Overscan Disabled
+##
+#disable_overscan=1
+
+################################################################################
+##  Framebuffer Video Settings
+################################################################################
+
+## framebuffer_width
+##     Console framebuffer width in pixels. Default is display width minus
+##     overscan.
+##
+#framebuffer_width=0
+
+## framebuffer_height
+##     Console framebuffer height in pixels. Default is display height minus
+##     overscan.
+##
+#framebuffer_height=0
+
+## framebuffer_depth
+##     Console framebuffer depth in bits per pixel.
+##
+##     Value    Description
+##     -------------------------------------------------------------------------
+##     8        Valid, but default RGB palette makes an unreadable screen
+##     16       (Default)
+##     24       Looks better but has corruption issues as of 2012/06/15
+##     32       Has no corruption issues but needs framebuffer_ignore_alpha=1
+##              and shows the wrong colors as of 2012/06/15
+##
+#framebuffer_depth=16
+
+## framebuffer_ignore_alpha
+##     Set to 1 to disable alpha channel. Helps with 32bit.
+##
+##     Value    Description
+##     -------------------------------------------------------------------------
+##     0        Enable Alpha Channel (Default)
+##     1        Disable Alpha Channel
+##
+#framebuffer_ignore_alpha=0
+
+################################################################################
+##  General Video Settings
+################################################################################
+
+## display_rotate
+##     Rotate the display clockwise or flip the display.
+##     The 90 and 270 degrees rotation options require additional memory on GPU,
+##     so won't work with the 16M GPU split.
+##
+##     Value    Description
+##     -------------------------------------------------------------------------
+##     0        0 degrees (Default)
+##     1        90 degrees
+##     2        180 degrees
+##     3        270 degrees
+##     0x10000  Horizontal flip
+##     0x20000  Vertical flip
+##
+#display_rotate=0
+
+## dispmanx_offline
+##     Set to "1" to enable offline compositing
+##
+##     Default 0
+##
+#dispmanx_offline=0
+
+################################################################################
+##  Licensed Codecs
+##
+##  Hardware decoding of additional codecs can be enabled by purchasing a
+##  license that is locked to the CPU serial number of your Raspberry Pi.
+##
+##  Up to 8 licenses per CODEC can be specified as a comma seperated list.
+##
+################################################################################
+
+## decode_MPG2
+##     License key to allow hardware MPEG-2 decoding.
+##
+#decode_MPG2=0x12345678
+
+## decode_WVC1
+##     License key to allow hardware VC-1 decoding.
+##
+#decode_WVC1=0x12345678
+
+################################################################################
+##  Camera Settings
+################################################################################
+
+## start_x
+##     Set to "1" to enable the camera module.
+##
+##     Enabling the camera requires gpu_mem option to be specified with a value
+##     of at least 128.
+##
+##     Default 0
+##
+#start_x=0
+
+## disable_camera_led
+##     Turn off the red camera led when recording video or taking a still
+##     picture.
+##
+##     Value    Description
+##     -------------------------------------------------------------------------
+##     0        LED enabled (Default)
+##     1        LED disabled
+##
+#disable_camera_led=1
+
+################################################################################
+##  Test Settings
+################################################################################
+
+## test_mode
+##     Enable test sound/image during boot for manufacturing test.
+##
+##     Value    Description
+##     -------------------------------------------------------------------------
+##     0        Disable Test Mod (Default)
+##     1        Enable Test Mode
+##
+#test_mode=0
+
+################################################################################
+##  Memory Settings
+################################################################################
+
+## disable_l2cache
+##     Disable arm access to GPU's L2 cache. Needs corresponding L2 disabled
+##     kernel.
+##
+##     Value    Description
+##     -------------------------------------------------------------------------
+##     0        Enable L2 Cache (Default)
+##     1        Disable L2 cache
+##
+#disable_l2cache=0
+
+## gpu_mem
+##     GPU memory allocation in MB for all board revisions.
+##
+##     Default 64
+##
+gpu_mem=128
+
+## gpu_mem_256
+##     GPU memory allocation in MB for 256MB board revision.
+##     This option overrides gpu_mem.
+##
+#gpu_mem_256=192
+
+## gpu_mem_512
+##     GPU memory allocation in MB for 512MB board revision.
+##     This option overrides gpu_mem.
+##
+#gpu_mem_512=448
+
+## gpu_mem_1024
+##     GPU memory allocation in MB for 1024MB board revision.
+##     This option overrides gpu_mem.
+##
+#gpu_mem_1024=944
+
+## disable_pvt
+##     Disable adjusting the refresh rate of RAM every 500ms
+##     (measuring RAM temparature).
+##
+#disable_pvt=1
+
+################################################################################
+##  CMA - Dynamic Memory Split
+##
+##  CMA enables dynamic management of the ARM and GPU memory split at runtime.
+##
+##  The following options need to be in cmdline.txt for CMA to work:
+##    coherent_pool=6M smsc95xx.turbo_mode=N
+##
+################################################################################
+
+## cma_lwm
+##     When GPU has less than cma_lwm (low water mark) memory available it
+##     will request some from ARM.
+##
+#cma_lwm=16
+
+## cma_hwm
+##     When GPU has more than cma_hwm (high water mark) memory available it
+##     will release some to ARM.
+##
+#cma_hwm=32
+
+################################################################################
+##  Boot Option Settings
+################################################################################
+
+## disable_commandline_tags
+##     Stop start.elf from filling in ATAGS (memory from 0x100) before
+##     launching kernel
+##
+#disable_commandline_tags=0
+
+## cmdline (string)
+##     Command line parameters. Can be used instead of cmdline.txt file
+##
+#cmdline=""
+
+## kernel (string)
+##     Alternative name to use when loading kernel.
+##
+#kernel=""
+
+## kernel_address
+##     Address to load kernel.img file at
+##
+#kernel_address=0x00000000
+
+## kernel_old
+##     Support loading old kernels
+##
+##     Value    Description
+##     -------------------------------------------------------------------------
+##     0        Disabled (Default)
+##     1        Load kernel at address 0x00000000
+##
+#kernel_old=1
+
+## ramfsfile (string)
+##     ramfs file to load
+##
+#ramfsfile=""
+
+## ramfsaddr
+##     Address to load ramfs file at
+##
+#ramfsaddr=0x00000000
+
+## initramfs (string address)
+##     ramfs file and address to load it at (it's like ramfsfile+ramfsaddr in
+##     one option).
+##
+##     NOTE: this option uses different syntax than all other options - you
+##           should not use "=" character here.
+##
+#initramfs initramf.gz 0x00800000
+
+## device_tree_address
+##     Address to load device_tree at
+##
+#device_tree_address=0x00000000
+
+## init_uart_baud
+##     Initial uart baud rate.
+##
+##     Default 115200
+##
+#init_uart_baud=115200
+
+## init_uart_clock
+##     Initial uart clock.
+##
+##     Default 3000000 (3MHz)
+##
+#init_uart_clock=3000000
+
+## init_emmc_clock
+##     Initial emmc clock, increasing this can speedup your SD-card.
+##
+##     Default 100000000 (100mhz)
+##
+#init_emmc_clock=100000000
+
+## boot_delay
+##     Wait for a given number of seconds in start.elf before loading
+##     kernel.img.
+##
+##     delay = (1000 * boot_delay) + boot_delay_ms
+##
+##     Default 1
+##
+#boot_delay=0
+
+## boot_delay_ms
+##     Wait for a given number of milliseconds in start.elf before loading
+##     kernel.img.
+##
+##     delay = (1000 * boot_delay) + boot_delay_ms
+##
+##     Default 0
+##
+#boot_delay_ms=0
+
+## avoid_safe_mode
+##     Adding a jumper between pins 5 & 6 of P1 enables a recovery Safe Mode.
+##     If pins 5 & 6 are used for connecting to external devices (e.g. GPIO),
+##     then this setting can be used to ensure Safe Mode is not triggered.
+##
+##     Value    Description
+##     -------------------------------------------------------------------------
+##     0        Respect Safe Mode input (Default)
+##     1        Ignore Safe Mode input
+##
+#avoid_safe_mode=1
+
+## disable_splash
+##     Avoids the rainbow splash screen on boot.
+##
+##     Value    Description
+##     -------------------------------------------------------------------------
+##     0        Splash screen enabled (Default)
+##     1        Splash screen disabled
+##
+#disable_splash=1
+
+################################################################################
+##  Overclocking Settings
+##
+##  ARM, SDRAM and GPU each have their own PLLs and can have unrelated
+##  frequencies.
+##
+##  The GPU core, h264, v3d and isp share a PLL, so need to have related
+##  frequencies.
+##  pll_freq = floor(2400 / (2 * core_freq)) * (2 * core_freq)
+##  gpu_freq = pll_freq / [even number]
+##
+##  The effective gpu_freq is automatically rounded to nearest even integer, so
+##  asking for core_freq = 500 and gpu_freq = 300 will result in divisor of
+##  2000/300 = 6.666 => 6 and so 333.33MHz.
+##
+##
+##  Standard Profiles:
+##                  arm_freq    core_freq    sdram_freq    over_voltage
+##     -------------------------------------------------------------------------
+##     None         700         250          400           0
+##     Modest       800         300          400           0
+##     Medium       900         333          450           2
+##     High         950         450          450           6
+##     Turbo        1000        500          500           6
+##
+################################################################################
+
+## force_turbo
+##     Control the kernel "ondemand" governor. It has no effect if no overclock
+##     settings are specified.
+##     May set warrany bit.
+##
+##     Value    Description
+##     -------------------------------------------------------------------------
+##     0        Enable dynamic clocks and voltage for the ARM core, GPU core and
+##              SDRAM (Default).
+##              Overclocking of h264_freq, v3d_freq and isp_freq is ignored.
+##     1        Disable dynamic clocks and voltage for the ARM core, GPU core
+##              and SDRAM.
+##              Overclocking of h264_freq, v3d_freq and isp_freq is allowed.
+##
+#force_turbo=0
+
+## initial_turbo
+##     Enables turbo mode from boot for the given value in seconds (up to 60)
+##     or until cpufreq sets a frequency. Can help with sdcard corruption if
+##     overclocked.
+##
+##     Default 0
+##
+#initial_turbo=0
+
+## temp_limit
+##     Overheat protection. Sets clocks and voltages to default when the SoC
+##     reaches this Celsius value.
+##     Setting this higher than default voids warranty.
+##
+##     Default 85
+##
+#temp_limit=85
+
+## arm_freq
+##     Frequency of ARM in MHz.
+##
+##     Default 700.
+##
+arm_freq=900
+
+## arm_freq_min
+##     Minimum frequency of ARM in MHz (used for dynamic clocking).
+##
+##     Default 700.
+##
+#arm_freq_min=700
+
+## gpu_freq
+##     Sets core_freq, h264_freq, isp_freq, v3d_freq together.
+##
+##     Default 250.
+##
+#gpu_freq=250
+
+## core_freq
+##     Frequency of GPU processor core in MHz. It has an impact on ARM
+##     performance since it drives L2 cache.
+##
+##     Default 250.
+##
+#core_freq=250
+
+## core_freq_min
+##     Minimum frequency of GPU processor core in MHz (used for dynamic
+##     clocking). It has an impact on ARM performance since it drives L2 cache.
+##
+##     Default 250.
+##
+#core_freq_min=250
+
+## h264_freq
+##     Frequency of hardware video block in MHz.
+##
+##     Default 250.
+##
+#h264_freq=250
+
+## isp_freq
+##     Frequency of image sensor pipeline block in MHz.
+##
+##     Default 250.
+##
+#isp_freq=250
+
+## v3d_freq
+##     Frequency of 3D block in MHz.
+##
+##     Default 250.
+##
+#v3d_freq=250
+
+## sdram_freq
+##     Frequency of SDRAM in MHz.
+##
+##     Default 400.
+##
+#sdram_freq=400
+
+## sdram_freq_min
+##     Minimum frequency of SDRAM in MHz (used for dynamic clocking).
+##
+##     Default 400.
+##
+#sdram_freq_min=400
+
+## avoid_pwm_pll
+##     Don't dedicate a pll to PWM audio. This will reduce analogue audio
+##     quality slightly. The spare PLL allows the core_freq to be set
+##     independently from the rest of the gpu allowing more control over
+##     overclocking.
+##
+##     Value    Description
+##     -------------------------------------------------------------------------
+##     0        Linked core_freq (Default)
+##     1        Unlinked core_freq
+##
+#avoid_pwm_pll=1
+
+################################################################################
+##  Voltage Settings
+################################################################################
+
+## current_limit_override
+##     Disables SMPS current limit protection. Can help if you are currently
+##     hitting a reboot failure when overclocking too high.
+##     May set warrany bit.
+##
+#current_limit_override=0x5A000020
+
+## over_voltage
+##     ARM/GPU core voltage adjust.
+##     May set warrany bit.
+##
+##     Value    Description
+##     -------------------------------------------------------------------------
+##     -16      0.8   V
+##     -15      0.825 V
+##     -14      0.85  V
+##     -13      0.875 V
+##     -12      0.9   V
+##     -11      0.925 V
+##     -10      0.95  V
+##     -9       0.975 V
+##     -8       1.0   V
+##     -7       1.025 V
+##     -6       1.05  V
+##     -5       1.075 V
+##     -4       1.1   V
+##     -3       1.125 V
+##     -2       1.15  V
+##     -1       1.175 V
+##     0        1.2   V (Default)
+##     1        1.225 V
+##     2        1.25  V
+##     3        1.275 V
+##     4        1.3   V
+##     5        1.325 V
+##     6        1.35  V
+##     7        1.375 V (requires force_turbo=1 or current_limit_override)
+##     8        1.4   V (requires force_turbo=1 or current_limit_override)
+##
+#over_voltage=0
+
+## over_voltage_min
+##     Minimum ARM/GPU core voltage adjust (used for dynamic clocking).
+##
+##     Value    Description
+##     -------------------------------------------------------------------------
+##     -16      0.8   V
+##     -15      0.825 V
+##     -14      0.85  V
+##     -13      0.875 V
+##     -12      0.9   V
+##     -11      0.925 V
+##     -10      0.95  V
+##     -9       0.975 V
+##     -8       1.0   V
+##     -7       1.025 V
+##     -6       1.05  V
+##     -5       1.075 V
+##     -4       1.1   V
+##     -3       1.125 V
+##     -2       1.15  V
+##     -1       1.175 V
+##     0        1.2   V (Default)
+##     1        1.225 V
+##     2        1.25  V
+##     3        1.275 V
+##     4        1.3   V
+##     5        1.325 V
+##     6        1.35  V
+##     7        1.375 V (requires force_turbo=1)
+##     8        1.4   V (requires force_turbo=1)
+##
+#over_voltage_min=0
+
+## over_voltage_sdram
+##     Sets over_voltage_sdram_c, over_voltage_sdram_i, over_voltage_sdram_p
+##     together
+##
+##     Value    Description
+##     -------------------------------------------------------------------------
+##     -16      0.8   V
+##     -15      0.825 V
+##     -14      0.85  V
+##     -13      0.875 V
+##     -12      0.9   V
+##     -11      0.925 V
+##     -10      0.95  V
+##     -9       0.975 V
+##     -8       1.0   V
+##     -7       1.025 V
+##     -6       1.05  V
+##     -5       1.075 V
+##     -4       1.1   V
+##     -3       1.125 V
+##     -2       1.15  V
+##     -1       1.175 V
+##     0        1.2   V (Default)
+##     1        1.225 V
+##     2        1.25  V
+##     3        1.275 V
+##     4        1.3   V
+##     5        1.325 V
+##     6        1.35  V
+##     7        1.375 V
+##     8        1.4   V
+##
+#over_voltage_sdram=0
+
+## over_voltage_sdram_c
+##     SDRAM controller voltage adjust.
+##
+##     Value    Description
+##     -------------------------------------------------------------------------
+##     -16      0.8   V
+##     -15      0.825 V
+##     -14      0.85  V
+##     -13      0.875 V
+##     -12      0.9   V
+##     -11      0.925 V
+##     -10      0.95  V
+##     -9       0.975 V
+##     -8       1.0   V
+##     -7       1.025 V
+##     -6       1.05  V
+##     -5       1.075 V
+##     -4       1.1   V
+##     -3       1.125 V
+##     -2       1.15  V
+##     -1       1.175 V
+##     0        1.2   V (Default)
+##     1        1.225 V
+##     2        1.25  V
+##     3        1.275 V
+##     4        1.3   V
+##     5        1.325 V
+##     6        1.35  V
+##     7        1.375 V
+##     8        1.4   V
+##
+#over_voltage_sdram_c=0
+
+## over_voltage_sdram_i
+##     SDRAM I/O voltage adjust.
+##
+##     Value    Description
+##     -------------------------------------------------------------------------
+##     -16      0.8   V
+##     -15      0.825 V
+##     -14      0.85  V
+##     -13      0.875 V
+##     -12      0.9   V
+##     -11      0.925 V
+##     -10      0.95  V
+##     -9       0.975 V
+##     -8       1.0   V
+##     -7       1.025 V
+##     -6       1.05  V
+##     -5       1.075 V
+##     -4       1.1   V
+##     -3       1.125 V
+##     -2       1.15  V
+##     -1       1.175 V
+##     0        1.2   V (Default)
+##     1        1.225 V
+##     2        1.25  V
+##     3        1.275 V
+##     4        1.3   V
+##     5        1.325 V
+##     6        1.35  V
+##     7        1.375 V
+##     8        1.4   V
+##
+#over_voltage_sdram_i=0
+
+## over_voltage_sdram_p
+##     SDRAM phy voltage adjust.
+##
+##     Value    Description
+##     -------------------------------------------------------------------------
+##     -16      0.8   V
+##     -15      0.825 V
+##     -14      0.85  V
+##     -13      0.875 V
+##     -12      0.9   V
+##     -11      0.925 V
+##     -10      0.95  V
+##     -9       0.975 V
+##     -8       1.0   V
+##     -7       1.025 V
+##     -6       1.05  V
+##     -5       1.075 V
+##     -4       1.1   V
+##     -3       1.125 V
+##     -2       1.15  V
+##     -1       1.175 V
+##     0        1.2   V (Default)
+##     1        1.225 V
+##     2        1.25  V
+##     3        1.275 V
+##     4        1.3   V
+##     5        1.325 V
+##     6        1.35  V
+##     7        1.375 V
+##     8        1.4   V
+##
+#over_voltage_sdram_p=0
+
+################################################################################
+##  USB Power
+################################################################################
+
+## max_usb_current
+##     When set to 1, change the output current limit (for all 4 USB
+##     ports combined) from 600mA to double that, 1200mA.
+##
+##     This option is not available for Model A/B boards.
+##
+##     Default 0.
+##
+#max_usb_current=0
+
+################################################################################
+##  Base Device Tree Parameters
+################################################################################
+
+## audio
+##     Enable the onboard ALSA audio
+##
+##     Default off.
+##
+dtparam=audio=on
+
+## i2c_arm
+##     Enable the ARM's i2c interface
+##
+##     Default off.
+##
+#dtparam=i2c_arm=off
+
+## i2c_vc
+##     Enable the i2c interface
+##
+##     Usually reserved for the VideoCore processor
+##
+##     Default off.
+##
+#dtparam=i2c_vc=off
+
+## i2c_arm_baudrate
+##     Set the baudrate of the ARM's i2c interface
+##
+##     Default 100000.
+##
+#dtparam=i2c_arm_baudrate=100000
+
+## i2c_vc_baudrate
+##     Set the baudrate of the VideoCore i2c interface
+##
+##     Default 100000.
+##
+#dtparam=i2c_vc_baudrate=100000
+
+## i2s
+##     Set to "on" to enable the i2s interface
+##
+##     Default off.
+##
+#dtparam=i2s=off
+
+## spi
+##     Set to "on" to enable the spi interfaces
+##
+##     Default off.
+##
+#dtparam=spi=off
+
+## random
+##     Set to "on" to enable the hardware random
+##
+##     Default off.
+##
+#dtparam=random=off
+
+## uart0
+##     Set to "off" to disable uart0
+##
+##     Default on.
+##
+#dtparam=uart0=on
+
+## watchdog
+##     Set to "on" to enable the hardware watchdog
+##
+##     Default off.
+##
+#dtparam=watchdog=off
+
+## act_led_trigger
+##     Choose which activity the LED tracks.
+##
+##     Use "heartbeat" for a nice load indicator.
+##
+##     Default mmc.
+##
+#dtparam=act_led_trigger=mmc
+
+## act_led_activelow
+##     Set to "on" to invert the sense of the LED
+##
+##     Default off.
+##
+#dtparam=act_led_activelow=off
+
+## act_led_gpio
+##     Set which GPIO to use for the activity LED
+##
+##     In case you want to connect it to an external device
+##
+##     Default 16 on a non-Plus board, 47 on a Plus or Pi 2.
+##
+#dtparam=act_led_gpio=47
+
+## pwr_led_trigger
+##     Choose which activity the LED tracks.
+##
+##     Use "heartbeat" for a nice load indicator.
+##
+##     Not available on Model A/B boards.
+##
+##     Default mmc.
+##
+#dtparam=pwr_led_trigger=mmc
+
+## pwr_led_activelow
+##     Set to "on" to invert the sense of the LED
+##
+##     Not available on Model A/B boards.
+##
+##     Default off.
+##
+#dtparam=pwr_led_activelow=off
+
+## pwr_led_gpio
+##     Set which GPIO to use for the PWR LED
+##
+##     In case you want to connect it to an external device
+##
+##     Not available on Model A/B boards.
+##
+##     Default 35.
+##
+#dtparam=pwr_led_gpio=35

+ 10 - 0
rpi2/extlinux.conf

@@ -0,0 +1,10 @@
+menu Welcome to Mageia-Minimal.
+timeout 20
+default Mageia
+
+label Mageia
+	kernel /boot/vmlinuz
+	append root=UUID=<UUID> dwc_otg.lpm_enable=0 console=ttyS0,115200 kgdboc=ttyS0,115200 console=tty1 rootwait fsck.repair=1 8250.nr_uarts=1 elevator=deadline cma=256M\@512M audit=0
+	fdtdir /usr/lib/<FDTDIR>
+	initrd /boot/initrd
+

+ 60 - 0
rpi2/mageia4arm.cfg

@@ -0,0 +1,60 @@
+
+# Copyright (C) 2017-2018 Daniel Tartavel-jeannot   <contact@librepc.com>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+
+MAGEIA_VERSION="6"
+ARM_VERSION="armv7hl"
+
+#target plateform (xu3-4 or rpi)
+TARGET="rpi"
+#version of the target
+# 0, 1, 2 ,3_32 for rpi and 3 or 4 for odroid
+TARGET_VERSION="2"
+
+# URL of the Mageia mirror used to install ( see mirrors.mageia.org )
+MIRROR="http://ftp.free.fr/mirrors/mageia.org/distrib/$MAGEIA_VERSION/$ARM_VERSION"
+#MIRROR="/mnt/STOCK/mageia/distrib/$MAGEIA_VERSION/$ARM_VERSION"
+# image will be created here
+
+INSTALL_PATH="/mnt/perso/raspi2"
+
+# Build directory will be created here
+BUILD_PATH="$INSTALL_PATH/build"
+
+#name of the image
+IMAGE="Mageia-${MAGEIA_VERSION}-$TARGET$TARGET_VERSION.img"
+
+#Mount point of image's partitions
+BOOT="/mnt/boot"
+ROOT="/mnt/root"
+
+#Default user
+ID_USER="pi"
+PASSWORD="raspberry"
+
+#root password
+ROOT_PWD="piroot"
+
+#Hostname
+HOSTNAME="$TARGET.$ID_USER"
+
+#Filesystem of boot partitions (default ext4 raspberry pi need vfat)
+BOOTFS="vfat"
+
+#Path where the raspberry pi firmware is/will be installed
+FIRMWARE_PATH="$INSTALL_PATH"
+FIRMWARE_DIR="firmware-stable"
+FIRMWARE_DOWNLOAD_URL="https://github.com/raspberrypi/firmware/archive/stable.zip"

+ 59 - 0
rpi2/mageia4arm.cfg.original

@@ -0,0 +1,59 @@
+
+# Copyright (C) 2017-2018 Daniel Tartavel-jeannot   <dtux@free.fr>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+
+MAGEIA_VERSION="7"
+ARM_VERSION="armv7hl"
+
+#target plateform (xu3-4 or rpi)
+TARGET="rpi" 
+#version of the target
+# 0, 1, 2 ,3_32 for rpi and 3 or 4 for odroid
+TARGET_VERSION="3_32"
+
+# URL of the Mageia mirror used to install ( see mirrors.mageia.org )
+MIRROR="http://ftp.free.fr/mirrors/mageia.org/distrib/$MAGEIA_VERSION/$ARM_VERSION"
+# image will be created here
+INSTALL_PATH="<change this>"
+
+# Build directory will be created here
+BUILD_PATH="$INSTALL_PATH/build"
+
+#name of the image
+IMAGE="Mageia-${MAGEIA_VERSION}-$TARGET.img"
+
+#Mount point of image's partitions
+#no need to be changed
+BOOT="/mnt/boot"
+ROOT="/mnt/root"
+
+#Default user
+ID_USER="pi"
+PASSWORD="raspberry"
+
+#root password
+ROOT_PWD="piroot"
+
+#Hostname 
+HOSTNAME="$TARGET.$ID_USER" 
+
+#Filesystem of boot partitions (default ext4 raspberry pi need vfat)
+#DO NOT CHANGE THIS
+BOOTFS="vfat"
+
+#Path where the raspberry pi firmware is/will be installed
+FIRMWARE_PATH="$INSTALL_PATH"
+FIRMWARE_DIR="firmware-stable"

+ 57 - 0
rpi2/mageia4arm.cfg~

@@ -0,0 +1,57 @@
+
+# Copyright (C) 2017-2018 Daniel Tartavel-jeannot   <contact@librepc.com>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+
+MAGEIA_VERSION="7"
+ARM_VERSION="armv7hl"
+
+#target plateform (xu3-4 or rpi)
+TARGET="rpi" 
+TARGET_VERSION="3"
+
+# URL of the Mageia mirror used to install ( see mirrors.mageia.org )
+MIRROR="http://ftp.free.fr/mirrors/mageia.org/distrib/$MAGEIA_VERSION/$ARM_VERSION"
+#MIRROR="/mnt/STOCK/mageia/distrib/$MAGEIA_VERSION/$ARM_VERSION"
+# image will be created here
+
+INSTALL_PATH="/mnt/perso/raspi-test"    
+
+# Build directory will be created here
+BUILD_PATH="$INSTALL_PATH/build"
+
+#name of the image
+IMAGE="Mageia-${MAGEIA_VERSION}-$TARGET.img"
+
+#Mount point of image's partitions
+BOOT="/mnt/boot"
+ROOT="/mnt/root"
+
+#Default user
+ID_USER="pi"
+PASSWORD="raspberry"
+
+#root password
+ROOT_PWD="piroot"
+
+#Hostname 
+HOSTNAME="$TARGET.$ID_USER" 
+
+#Filesystem of boot partitions (default ext4 raspberry pi need vfat)
+BOOTFS="vfat"
+
+#Path where the raspberry pi firmware is/will be installed
+FIRMWARE_PATH="$INSTALL_PATH"
+FIRMWARE_DIR="firmware-stable"

+ 3 - 0
rpi2/modprobe.conf

@@ -0,0 +1,3 @@
+alias wlan0 brcmfmac
+alias eth0 smsc95xx
+alias usb0 rndis_host

+ 41 - 0
rpi2/second_stage_install.sh

@@ -0,0 +1,41 @@
+#!/bin/bash
+
+# Copyright (C) 2017-2018 Daniel Tartavel-jeannot   <contact@librepc.com>
+#
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+/usr/bin/chown :shadow /etc/shadow /etc/gshadow /etc/login.defs /etc/pam.d/chage-chfn-chsh /etc/pam.d/chpasswd-newusers /etc/pam.d/system-auth /etc/pam.d/user-group-mod /bin/passwd /bin/chage
+
+/usr/bin/chown :systemd-journal -R /var/log/journal
+
+#Install all packages you need
+# No verifying rpm due to a bug in packages, some are not signed
+
+/usr/sbin/urpmi --auto --no-verify-rpm basesystem chrony rng-tools man openssh-server rfkill wireless-tools bluez wpa_supplicant make binutils dracut u-boot rsync kernel-desktop-latest mlocate drakx-kbd-mouse-x11
+
+
+/usr/bin/chown :chrony -R /etc/chrony.keys /var/log/chrony
+/usr/bin/chown :daemon /etc/wpa_supplicant.conf
+/usr/bin/chown :tty /bin/write /bin/wall
+/usr/bin/chown :lock /sbin/lockdev
+/usr/bin/chown :bin /sbin/traceroute
+/usr/bin/chown polkitd /etc/polkit-1/rules.d
+
+KV=`basename /boot/vmlinuz-*`
+KV=${KV#vmlinuz-}
+dracut --kver $KV
+rm -f $0
+cp /boot/vmlinuz-* /boot/vmlinuz
+cp /boot/initrd-* /boot/initrd

+ 61 - 0
rpi3+/mageia4arm.cfg

@@ -0,0 +1,61 @@
+
+# Copyright (C) 2017-2018 Daniel Tartavel-jeannot   <contact@librepc.com>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+
+MAGEIA_VERSION="7"
+ARM_VERSION="armv7hl"
+
+#target plateform (xu3-4 or rpi)
+TARGET="rpi"
+#version of the target
+# 0, 1, 2 ,3_32 for rpi and 3 or 4 for odroid
+TARGET_VERSION="3+"
+
+# URL of the Mageia mirror used to install ( see mirrors.mageia.org )
+MIRROR="http://ftp.free.fr/mirrors/mageia.org/distrib/$MAGEIA_VERSION/$ARM_VERSION"
+#MIRROR="/mnt/STOCK/mageia/distrib/$MAGEIA_VERSION/$ARM_VERSION"
+# image will be created here
+
+INSTALL_PATH="/mnt/perso/raspi-test"
+
+# Build directory will be created here
+BUILD_PATH="$INSTALL_PATH/build"
+
+#name of the image
+IMAGE="Mageia-${MAGEIA_VERSION}-$TARGET.img"
+
+#Mount point of image's partitions
+BOOT="/mnt/boot"
+ROOT="/mnt/root"
+
+#Default user
+ID_USER="pi"
+PASSWORD="raspberry"
+
+#root password
+ROOT_PWD="piroot"
+
+#Hostname
+HOSTNAME="$TARGET.$ID_USER"
+
+#Filesystem of boot partitions (default ext4 raspberry pi need vfat)
+BOOTFS="vfat"
+
+#Path where the raspberry pi firmware is/will be installed
+FIRMWARE_PATH="$INSTALL_PATH"
+FIRMWARE_DIR="firmware-stable"
+FIRMWARE_DOWNLOAD_URL="https://github.com/raspberrypi/firmware/archive/stable.zip"
+

+ 3 - 3
xu4/mageia4arm.cfg

@@ -15,14 +15,14 @@
 # along with this program. If not, see <http://www.gnu.org/licenses/>.
 
 
-MAGEIA_VERSION="cauldron"
+MAGEIA_VERSION="7"
 ARM_VERSION="armv7hl"
 TARGET="odroid"
 TARGET_VERSION="xu4"
 
 # URL of the Mageia mirror used to install ( see mirrors.mageia.org )
-MIRROR="http://ftp.free.fr/mirrors/mageia.org/distrib/$MAGEIA_VERSION/$ARM_VERSION"
-
+#MIRROR="http://ftp.free.fr/mirrors/mageia.org/distrib/$MAGEIA_VERSION/$ARM_VERSION"
+MIRROR="http://192.168.1.252/mageia/distrib/$MAGEIA_VERSION/$ARM_VERSION"
 # image will be created here
 INSTALL_PATH="/mnt/perso/xu4-test/"